Maverick Model 3D releases published by Zack Middleton.

Changes for 1.3.14 (2023-04-23)
   General
      Enable Qt HiDPI support by default and fix a few layout issues
      Add Offset by Normal command to move vertex along averge normal
      Make Duplicate command keep all joint influences
      Make Edge Divide command set group and texture coords
      Make Select Vertex tool automatically select and unselect triangles
      Select new face made by Make Face From Vertices
      Make texture coord window to reset map scheme on selection change
      Fix texture coord window displaying last texture if no triangle has a texture
   Merge Model / Import Animations
      Add support for frame animations to Import Animations
      Make Merge Model copy frame animation FPS
      Make Merge Model and Import Animations copy looping setting
      Fix Merge Model and Import Animations to set skeletal animation FPS on the correct animation
   Background Image
      Fix model using background image with Canvas mode Flat
      Fix model viewports not updating immediately after setting background image
      Fix drawing left/right brackground image in some cases
      Fix background image not blending in some cases
   Model Formats
      cal3d
         Add support for exporting cal3d .cfg files
      mm3d
         Fix writing background image filename
   GNU/Linux
      Update Flatpak runtime to org.kde.Platform 5.15-22.08

Changes for 1.3.13 (2021-12-20)
   General
      Add Clear Rotation/Translation Keyframes to Animation menu
      Add Base Point to Model Merge
      Add filename to Plugins window
      Allow removing vertexes from models with frame animations
      Allow adding/removing groups and points from models with frame animations
      Make splitting skeleton animation keep overall pose
      Make copy/paste skeleton animation frame copy interpolated keyframes
      Make paste animation frame select what was paste
      Make new animations default to non-looping
      Switch from QGLWidget to QOpenGLWidget (needed for Wayland on GNU/Linux, breaks Windows with OpenGL 1.1)
      Generate HTML manual using C instead of Perl with HTML::Template module
      Fix merged points in frame animations
      Fix crash if merging model when existing has a 0-frame animation
      Fix undo event for Merge Animations
      Fix model filter read/write to always use decimal point regardless of system locale
      Fix truncating frames when changing frame count in animation mode
      Fix Animation Sets -> Split to be start frame num
      Fix horizontal scroll events being treated as scroll down
      Fix texture coord window to check all selected triangles for a texture
      Fix select joint influenced points
      Fix Qt translations (qt_xx.qm) not being used
      Fix hundreds of compiler warnings
   Model Formats
      d3d (new)
         Add GameMaker Studio .d3d model import/export
      iqe
         Remove option to disable saving points in animations (IQM SDK would use identity, not bind pose)
      md2
         Fix vertex normals orientation
      md3
         Add export dialog with option to write animation.cfg for non-player models
         Don't allow saving as a player if there are groups that would not be saved in any player segment
      mm3d
         Deduplicate written external textures list
         Fix writing external texture count (it use to be material count which may be too high)
         Fix saving with long background filename causing out-of-bounds write
      ms3d
         Fix loading model with all zero vertex bone weights
      obj
         Fix crash if some MTL keywords are before newmtl
         Fix crash for out of bounds texcoord index
   GNU/Linux
      Add AppStream metadata and install icons into modern file path
      Add ability to build as a Flatpak
      Don't create 'shared' plugins symlink anymore (to allow multiple install paths)
      Rename mimetype from application/x-mm3d to model/x-mm3d
      Fix locating Qt translations on GNU/Linux
   Windows
      Support UTF-16 paths for install path and appdata on Windows
      Make building using MinGW on Debian use POSIX thread model so it uses the same GCC run-time as Qt
      Fix writing image filenames in models on a separate Windows drive than the images
      Fix listing files on Windows with ".." directory in path
   macOS
      Add system and Qt translations to macOS AppBundle
      Add `make appbundle` to Makefile.generic
      Add support for cross-compiling from GNU/Linux using osxcross
      Renamed macOS configure `make mm3d.app` target to `make appbundle`
   Build Note
      Moved autosetup.sh to autogen.sh to match defacto naming convention

Changes for 1.3.12 (2019-10-07)
   Add shift key behavior to Texture Coord editor for move/rotate/scale
   Make Convert To Frame window convert multiple animations at once
   Remove artificial MD3 export limits
   Fix animation frame slider not responding to arrow keys
   Fix delete button in Edit Joints window
   Fix mouse interaction and wireframe line size on HiDPI displays
   Fix OpenGL possibly not working on Windows with Qt5 (black viewports)
   Fix some memory leak and std::list usage
   Fix configure when compiling on Fedora

Changes for 1.3.11 (2019-01-02)
   Add support for exporting Studiomdl Data (SMD) models
   Add support for texture alpha blending in animation mode
   Add workaround to force toolbar to be visible even if it's hidden in dock.dat
   Improve decimal accuracy for rotation on properties panel
   Improve decimal accuracy in exported IQE models
   Improve MS3D model support
      Add support for loading/saving Milkshape 3D 1.8.5 BETA 1 MS3D models
      Add descriptions for vertex subversions to MS3D export prompt
      Only allow typing hexdecimal in MS3D Vertex Extra export prompt
      Don't allow exporting invalid MS3D models; too many vertexes, triangles, bone joints, groups, or materials
      Don't convert vertex bone weights of 0 to average for MS3D export
      Fix reading/writing MS3D animation bone joint keyframes
      Fix written MS3D bone joint weights not adding up to 100
      Fix loading MS3D bone influences for more than 128 bones
      Fix loading MS3D when a group has no material
   Use Windows path separators in recent models list on Windows
   Fix writing line endings in OBJ/DXF/IQE on Windows (regression)
   Fix loading OBJ textures on Windows (regression)
   Fix Paint Texture window writing a blank black image (regression)
   Fix not loading texture the first time Texture Coordinates window is shown (regression)
   Fix some vertex bone joint weights being rounded down on properties panel and calculated auto weight
   Fix missing meta data undo event after Cal3D/MD3/MS3D export
   Fix wireframe Z-fighting with model meshes
   Fix new transparent texture set for material not being drawn
   Fix frame animated models default to blank animation type in Animation Sets window
   Fix gimbal lock detection when converting matrix to Euler angles (affected writing SMD models)
   Fix keyboard shortcuts in German and French translations

Changes for 1.3.10 (2018-09-05)
   Rename application to Maverick Model 3D
   Add bone joint rotation to properties panel in non-animation mode
   Add press F1 for help to OBJ export options window
   Add support for autotools out-of-tree build
   Add support for exporting Inter-Quake Export (IQE) models
   Allow saving MD3 animations with 1 frame as looping
   Create window as maximized if it fills the available screen space
   Display result of Clean Up Groups in status bar
   Don't sort opaque RGBA textures in 3D Alpha Blend view mode
   Fix building for Windows
   Fix crash when opening Paint Texture
   Fix new/rename material window titles
   Fix rotating bone joint using properties panel in animation mode
   Fix saving MD3 with 1 animation and 1 frame writing unanimated vertexes
   Fix saving normals in MD3 player upper and head models
   Fix Texture Coordinates window being empty after closing it using title bar close button (Windows/macOS)
   Fix warning about unknown signal QTabWidget::selected when opening "Model|Background Image..."
   Fix zoom icons when compiled with newer Qt (worked on Qt 5.3 but not 5.10+)
      (use Qt 4+ resource system instead of embedding image in .ui files)
   Improve code integration of animation loop setting
   Load MD3 player skins with upper case extension (.SKIN)
   Make saving MD3 player head to use unanimated points and bounds
   Make subdivide command fail if no faces are selected
   Move animation Loop setting between FPS and Start/Stop buttons
   Only create vertex in Edge Divide if selected vertexes share a common face edge
   Print stdout/stderr to Windows command prompt
   RAW images are now loaded as little endian regardless of OS endianness
   Rename Materials|Clean Up Groups to Materials|Clean up
   Update plugin API usage for builtin features
   Use Win32 API to support non-ASCII filenames

Changes for 1.3.9 (2018-02-11)
   Switch from Qt4 to Qt5
   Make animation loop a per-animation setting that is saved in .mm3d files (mm3d format is now 1.7)
   Allow user to set fixed grid
   Fix incorrect texture rending for materials that share GL textures
   Fix insertFrameAnimFrame when frame is not at end
   Fix saving MD3 models with no frame animations
   Add a dialog to confirm saving a 3 part MD3 player model (before it always assumed yes)
   Made MD3 player support more general
      Read animation names / looping from animation.cfg (names fallback to
         Quake 3 ones if missing)
      Write animation names / looping from model animations instead of using
         a hard coded list
      Save all unknown points (e.g., not tag_torso, tag_head, or tag_weapon)
         as tags in all model parts
      Added support for "ALL_" (legs, torso, head) and "HEAD_" animation prefixes
      Don't require tag_weapon to export a MD3 player model
   Store options from animation.cfg in meta data "MD3_CFG_(keyword)" "(value)"
      instead of special handling for 'sex','footsteps','headoffset',
      'fixedtorso','fixedlegs' which were stored as MD3_(keyword).
      MD3_sex, MD3_footsteps, etc are still supported for saving
   Add support for animation names to be at the beginning of each animation
      line in animation.cfg. Meta data "MD3_AnimKeyword" "1". Automatically
      detected when loading animation.cfg
   Allow disabling writing sync warnings in MD3 player animation.cfg using
      meta data "MD3_NoSyncWarning" "1". This is not automatically detected
      when loading animation.cfg
   Add support for Elite Force (Single Player) animation.cfg loop numbering style
      0=loop all frames, -1=don't loop. Meta data "MD3_EliteLoop" "1".
      Automatically detected when loading animation.cfg
   Add support for loading / saving Quake III: Team Arena players
      Save point "tag_flag" in (only) the torso model
      Handle new Q3TA torso animations after legs in animation.cfg
   Add support for loading / saving Turtle Arena players

   Note: Exporting existing mm3d models to Quake 3 MD3 players requires setting
      the correct names and loop on animations.



Misfit Model 3D releases published by Kevin Worcester.

Changes for 1.3.8 (2009-03-09)
   Don't report power of two warning for background images
   Allow undo for texture coordinate vertex selection
   Rotate texture coordinates
   Horizontal/vertical flip texture coordinates
   Allow user to set color of texture coordinate lines and selection vertices.
   Include hidden triangles in BSP tree calculation, but don't render
      hidden triangles
   Change Hide Unselected so that it operates on the face level rather than
      face and vertex
   Add group clean-up window that removes identical/unused groups and
      materials
   Show dimensions of selected geometry in context panel
   Added grid unit distance to status bar
   In MD3, use anim name + frame num for frame name on export
   Use QString::toDouble instead of atof for localization reasons
   Fix incorrect group/texture mapping for copy/paste
   Fix viewport drawing mode so that it is applied to loaded models
   Fix texture rendering after deleted textures (off by one on greater index)
   Fix to draw proper normals for ungrouped geometry in skeletal animations
   Fix to prevent selection of hidden faces when using the "ignore
      back-facing" option
   Fix broken shortcuts on geometry sub-menus
   Fix coverage build/autoconf
   Fix MD2 export (vertex/texture coord indices)
   Fix relative path to parent dir for textures in OBJ format
   Fix cursor, reset coords, and zoom on texture coordinates window
   Fix help links on Windows
   Fix several compilation warnings

Changes for 1.3.7 (2008-07-01)
   Added "Apply to selected" for Transform Model
   Export Selected (geometry, joints, points, and textures)
   Set exact position of rotate point for rotate tool
   More complete version support for Cal3D (700 through 1200)
   Read compressed animations in Cal3D
   Report error if saving MD2 or MD3 with faces that are not assigned
      to a group
   Fix to dissallow primitives additions using subdivide or addPoint
   Fix interpolation bug where rotation was not taking the shortest
      path to the new orientation
   Have a minimum animation redraw of 20 fps to show interpolation on slow
      animations
   Performance fixes for normal calculation (about 40% speed improvement)
   Performance fixes for MD3 loading (about 8x speed improvement)
   Added --enable-profile to ./configure
   Added --language to override the system locale
   Prevent select connected from selecting hidden faces
   Do not perform selection in frame animation mode if there are no
      animations
   Changed poly tool's "Fan" checkbox into a Strip/Fan combo box
   Implemented new equiv test and split CompareBits into
      CompareParts and PartProperties

Changes for 1.3.6 (2008-01-14)
   Save/restore window size
   Include projection in frame all/selected command
   Open projection window from group and projection properties panels
   Allow multiple multiple bone joints for MS3D (subversions 1 and 2)
   Initial Cal3D support
   Better MD3_PATH handling
      Get MD3_PATH from shaders as well as model header
      Allow separate MD3_PATH for each shader
   Corrected capitalization for "Normals Face Out" command
   Split keyboard shortcut for flip front/back (backslash) view
      and flip ortho/persp (backtick)
   Added "Delete" button to animation model panel
   Redraw animation when loop is enabled/disabled (affects interpolation)
   Replaced lex/yacc code with custom preferences parser
      lex/yacc parser was having parse failures on some archs
   Allow MD2 texture coordinates to go outside of 0.0 to 1.0 range
   Report error if MD2 has more than one assigned material
   Remove trailing underscore on MD2 animation names
   Updated configuration for newer autoconf (2.61) and automake (1.9)
   Remember last skeletal/frame selection for new animation window
   Stop playing animation when a new animation is added.
   Error message when attempting to paste animation frame of wrong type
   Fixed bug where an influences with a weight of 0 has no influence, rather
      than placing the influenced object at the origin
   Fixed interpolation problem with translation keyframes on looped animations
   Fixed translation of animation name copy/split in animation sets window
   Fixed initial rotation of points for frame animations
   Other misc. translation fixes
   Added ../i18n to search path for translation files
   Treat unhandled backslashes in preferences as regular backslashes
   Changed error message on uknown file type to indicate it is probably
      a file extension problem
   Add ".mm3d" at save time if filename does not have an extension
   Use model vertex and point list sizes for writing frame animation data
      instead of using the size of the lists in the animation frames
   Added some sanity checking to MM3D loading code
   Removed several unused modules
   Added shell script for making source code tags

Changes for 1.3.5 (2007-07-15)
   Re-organized menus
   Added "Rotate" tool in texture coordinate window
   Added "Face Out" command to make triangle normals point outward from
      enclosed hulls
   Added File|Export... to save without changing working filename or 
      clearing unsaved flag
   Restrict Save and Save As to types with more complete support (everything
      else must use "Export...")
   Added Copy/Paste selected keyframe (for skeletal and frame)
   Added toolbar option on proj tool to create specific projection type
   Write texture coordinates for MM3D even if there are no materials
   MM3D no longer uses packed structs for mm3d, ms3d, tga, and pcx formats
   Improved material support for COB export
   Animation using Quaternion interpolation (prevent strange rotations when
      rotating on more than one axis)
   Fixed animation image export
   Fixed "Clear Animation Frame" for skeletal (broken when anim window was 
      make dockable)
   Fix (hack) for Perspective label on all viewports
   Fixes for projection mapping at vertical extremes
   MD3 fixes: save case-insensitive animation names, cancel load if user
      selects "cancel" on player model

Changes for 1.3.4 (2007-05-18)
   Support for internationalization
   Initial Slovak translation
   Show tool key accelerators in toolbar tool tip
   Rename bone joints and points from properties context panel
   Automatic bone joint assignment
   Extrude tool
   Option to create sphere from center
   Option to create torus from center
   Bring non-modal dialogs to front on open request when already open
   Fixes for MD2 (rotate orientation to match MM3D, prevent inversion of 
      left/right, don't require animations to save/load), use MD2_PATH
      meta data for skin path instead of always assuming player model
   Fix for empty joint weight boxes
   Fix for starting in animation mode with animation toolbar hidden

Changes for 1.3.3a (2007-03-02)
   Compilation fix for 64-bit architectures

Changes for 1.3.3 (2007-02-28)
   Global transforms (translate, rotate, scale, arbitrary matrix)
   Disabled Lua by default
   Plane projection mapping
   Rotation on center of 3D viewport rather than origin
   Allow group material change from group properties panel
   Open group, material window from properties panel
   Can use orthographic projection from any angle (including tools)
   Can use Ctrl+Keyboard and Ctrl+ScrollButtons to rotate
   Rotate on Z axis (Ctrl+Mouse Wheel or Ctrl+Plus/Minus)
   Rotating fixed orthographic view switches to free orthographic automatically
   Hot key for saving and restoring viewport (Ctrl+Number to save, Number to restore)
   Tool to drag vertex on triangle
   Use tool keyboard shortcuts in texture coord window (Select Vertex, Move, Scale)
   Made texture coordinate window non-modal
   Texture coordinate window shows all selected faces (even if they do not
      belong to the same group)
   Scale tool in texture coordinate window has options for keeping aspect
      ratio and scaling from center
   Use Qt for drawing text in viewport instead of GLXFont (more portable)
   Fixed crash on alpha blending for non-texture materials
   Fixed OBJ material file creation on Win32
   Fixed render menu selection indicators in Qt4/Win32

Changes for 1.3.2 (2007-01-23)
   Added "Influences Menu", all non-animation joint functions moved here
   Vertices and points can be assigned to multiple weighted bone joints
   Added "Paint Texture" window that saves a texture with the faces mapped
      onto it so that it can be painted over with a paint program
   Sphere and Cylinder mapping (Texture projection)
   Pan and zoom on texture coordinate edit window
   Keyboard shortcut customization (text file)
   Moved rendering options into a submenu of the View menu
   Added render option to turn off drawing of back-facing polygons
   Rotate tool rotation point defaults to center of selected objects
   Can create a new group by selecting "<New>" in the group context panel
   Vertices can be created individually
   Made "Snap to Vertex" apply to bone joints, points, and projections
   Prevent viewport zoom/pan changes while tool is active
   Fixed MD3 crash on save without animations
   Fixed MD3 texture paths
   Fixed texture coordinates in MD2 for non-square skin images
   Fixed undo/redo selection on polygon tool
   Standardized enum declarations
   Standardized struct declarations
   Re-organized directory structure
   Corrected a typo in the View Window documentation
   Purge intermediate status bar messages if queue is too long (error 
      messages not purged)
   Updated MM3D format documentation to include Points and Frame Anim Points
   Updated copyright dates

Changes for 1.3.1 (2006-12-31)
   Added initial MD3 support (Initial filter written by Russell Valentine)
   Added Boolean operations (Union, Subtraction, Intersection)
   Added Simplify Mesh command
   Tint selected faces (uses lighting)
   User-defined viewport grid settings
   Allow setting multiple joint rotations at once (experimental)
   Allow changing/removing a texture on an existing material
   Added point rotation to properties window
   Added joint keyframe rotation to properties window
   Added points to the status bar primitive count
   Added .TXT model file format
   Added .RAW texture file format
   Use entire texture frame for 3D texture preview
   Do not exit on preferences parse failure
   Fixed looping animation frame time bug
   Fixed bolt point rotation and translation on model merge
   Fix for NaN in Matrix::getRotation()
   Fixed scoping error for gcc 4.1.1
   Added virtual destructor for Model::Observer

Changes for 1.3.0 from 1.2.0-final (2006-09-16)
   Snap to Grid
   Snap to Vertex
   Converted animation window to smaller, dockable window
   Added context-sensitive panel for editing position and 
      group properties (more functionality to come)
      See View -> Show Properties
   Edge Turn command
   Edge Divide command
   Cap holes command
   Fixes for ./configure with 64-bit libraries
   Fixes for 64-bit safe (draw context, and pointer debug output)
   Initial bolt point support
   Initial .cob and .dxf support (read/write geometry and materials)
   Fixed crash on calculateFrameNormals if animation is out of range
   Append underscore to MD2 animation names that end in numbers
      to prevent truncation of animation name
   Change MD2 loading code to remove trailing digits instead of truncating
      at the first digit
   Polygon tool creates triangle to face tool viewport
   Fix for Face select in Frame Animation mode (patch from Russell Valentine)
   Fix for MD2 GL commands section (terminate with 0)
   Fixed scaling for co-axial points (division by zero causing undefined
      coordinates)
   Removed qpixmap uic hack in the Makefile
